#version 330 compatibility

uniform sampler2D gtexture;
uniform float rainStrength;
uniform float thunderStrength;
uniform float cloudHeight;

in vec2 texcoord;
in vec3 vertcoord;

/* RENDERTARGETS: 0 */
layout(location = 0) out vec4 color;

void clouds() {
	color = texture(gtexture, texcoord);
	color.rgb *= (4.0 - (rainStrength + thunderStrength)) / 4.0;
	color.a = 1.1 - pow((vertcoord.y - cloudHeight) / 4.0, 0.5);
	if (color.a <= 0.0) {
		discard;
	}
}